package com.yaohun.levelreward.util;

import com.mojang.authlib.GameProfile;
import com.mojang.authlib.properties.Property;
import me.Demon.DemonPlugin.DemonAPI;
import org.bukkit.Material;
import org.bukkit.inventory.ItemStack;
import org.bukkit.inventory.meta.SkullMeta;

import java.lang.reflect.Field;

public class ToolsUtil {

    public static String getHandSkullBase64(ItemStack stack){
        if(DemonAPI.itemIsNull(stack) || stack.getType() != Material.SKULL_ITEM){
            return "无";
        }
        if(!(stack.getItemMeta() instanceof SkullMeta)){
            return "无";
        }
        SkullMeta meta = (SkullMeta) stack.getItemMeta();
        try {
            Field profileField = meta.getClass().getDeclaredField("profile");
            profileField.setAccessible(true);
            GameProfile profile = (GameProfile) profileField.get(meta);

            if (profile == null) {
                return "无";
            }
            for (Property prop : profile.getProperties().get("textures")) {
                String base64 = prop.getValue();
                System.out.println("[HeadBase64] 读取头颅皮肤:\n" + base64);
                return base64;
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        return "无";
    }
}
