package me.Demon.DemonLevelReward.Event;

import org.bukkit.entity.Player;
import org.bukkit.event.Event;
import org.bukkit.event.HandlerList;

public class LevelRewardReceiveEvent extends Event {

    private static HandlerList handlers = new HandlerList();
    private Player player;
    private String rewardKey;
    private int levels;

    @Override
    public HandlerList getHandlers() {
        return handlers;
    }
    public static HandlerList getHandlerList() {
        return handlers;
    }
    public LevelRewardReceiveEvent(Player player, String rewardKey, int levels) {
        this.player = player;
        this.rewardKey = rewardKey;
        this.levels = levels;
    }

    public Player getPlayer() {
        return player;
    }

    public String getRewardKey() {
        return rewardKey;
    }

    public int getLevels() {
        return levels;
    }


}
